package s3.services.memory.mostlyCopying;
import ovm.core.execution.Activation;
import s3.core.services.memory.LocalReferenceIterator;

public class AllCopyingManager extends PageCheckingManager {
    public AllCopyingManager(String heapSize,
			     String blockSize,
			     String dumpOom) {
	super(heapSize, blockSize, dumpOom);
    }

    public boolean isPrecise() { return true; }

    void markConservativeRoots(Activation firstSkip) {
	firstSkip = firstSkip.caller(firstSkip);
	LocalReferenceIterator it
	    = LocalReferenceIterator.factory().make(firstSkip);

	while (it.hasNext())
	    copier.updateLoc(it.next());
    }
}
